// IsSame.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"


int _tmain(int argc, _TCHAR* argv[])
{
	int quiet;
	TCHAR *file1, *file2;
	struct _stat sbuf1, sbuf2;

	if (argc < 3 || argc > 4) {
		fprintf(stderr, "%s: [-q] file1 file2\n", argv[0]);
		return(0);
	}
	if (argc == 4) {
		quiet = 1;
		file1 = argv[2];
		file2 = argv[3];
	}
	else {
		quiet = 0;
		file1 = argv[1];
		file2 = argv[2];
	}

	if (_wstat(file1, &sbuf1) < 0) {
		if (!quiet)
			fprintf(stderr, "%s: can't open '%s'\n", argv[0], file1);
		return(0);
	}

	if (_wstat(file2, &sbuf2) < 0) {
		if (!quiet)
			fprintf(stderr, "%s: can't open '%s'\n", argv[0], file2);
		return(1);
	}

	if ((sbuf1.st_mtime == sbuf2.st_mtime) && (sbuf1.st_size == sbuf2.st_size))
		return(1);

	return(0);
}

